#1324 Viewer Slow/Hangs on Multi-Monitor

None
open-accepted
nobody
5
2016-03-25
2014-06-18
Dumaru
No

Hello there everyone,

I have a 3 monitor (4 if you include my TV which is cloned off of one monitor) setup at home. I am running Windows 8.1 with a Nvidia GeForce TITAN Graphics card. Running TightVNC Version 2.7.10. I have also installed the DFMirage Driver.

When I remote in form multiple devices the operation is terrible. It can freeze for up to 3 minutes before the screen is updated. I can force an update by disconnecting remote connection and then reconnecting. Using the refresh button in the Viewer does not work. In some cases reconnecting does not work at all and just shows a completely black screen for more than an hour.

I have noticed that if I use Nvidia Surround, which makes all 3 monitors into one monitor, there is absolutely no performance issue when remote connected. There is also no performance issue when I just have one monitor on with cloned display to the TV. The Issue only seems to be with the 3 monitors. I have not tried it with only 2 monitors yet. I will do that later today, and keep you posted.

Related

Bugs: #1324

Discussion

  • Dumaru

    Dumaru - 2014-06-19

    Okay, I tried it with just 2 monitors and same issue. Seems to only function normally on Nvidia surround or only one monitor. Adding extra monitors seems to cause the severe lag.

     
  • Dumaru

    Dumaru - 2014-06-25

    I have switched to RealVNC till the issue is fixed with TightVNC.

     
    • skywalk

      skywalk - 2014-06-25

      <html><head></head><body data-blackberry-caret-color="#00a8df" style="background-color: rgb(255, 255, 255); line-height: initial;">



      From: Dumaru
      Sent: Wednesday, June 25, 2014 12:39 PM
      To: [vnc-tight:bugs]
      Reply To: [vnc-tight:bugs]
      Subject: [vnc-tight:bugs] #1324 Viewer Slow/Hangs on Multi-Monitor

      I have switched to RealVNC till the issue is fixed with TightVNC.




      [bugs:#1324] Viewer Slow/Hangs on Multi-Monitor


      Status: open

      Group:

      Labels: multi-monitor multiple monitor hangs slow freezes viewer

      Created: Wed Jun 18, 2014 01:33 PM UTC by Dumaru

      Last Updated: Thu Jun 19, 2014 06:30 PM UTC

      Owner: nobody


      Hello there everyone,


      I have a 3 monitor (4 if you include my TV which is cloned off of one monitor) setup at home. I am running Windows 8.1 with a Nvidia GeForce TITAN Graphics card. Running TightVNC Version 2.7.10. I have also installed the DFMirage Driver.


      When I remote in form multiple devices the operation is terrible. It can freeze for up to 3 minutes before the screen is updated. I can force an update by disconnecting remote connection and then reconnecting. Using the refresh button in the Viewer does not work. In some cases reconnecting does not work at all and just shows a completely black screen for more than an hour.


      I have noticed that if I use Nvidia Surround, which makes all 3 monitors into one monitor, there is absolutely no performance issue when remote connected. There is also no performance issue when I just have one monitor on with cloned display to the TV. The Issue only seems to be with the 3 monitors. I have not tried it with only 2 monitors yet. I will do that later today, and keep you posted.




      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/vnc-tight/bugs/1324/


      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/


      </body></html>

       

      Related

      Bugs: #1324

  • Amfab Steel

    Amfab Steel - 2014-07-14

    Having the same problem. We use TightVNC at a site of about 50 computers. We are upgrading to Windows 8 systems for our office and have noticed this issue on all Windows 8 TightVNC servers running multi-monitor setups, even on version 2.7.10 as others have mentioned (it did happen on older versions as well). It's pretty much unusable at this point.

     
  • Chris Hibler

    Chris Hibler - 2015-08-13

    Same issue.

    When running TightVNC server in Windows 8/8.1 with multiple displays, the client does not receive screen refreshes reliably.

    With a single display, the connected client works like a dream. No noticable lag whatsover.

    Once a second display is connected to the server, the performance is unusable.

    Here is some additional interesting information:
    - With two displays connected to the server, the client will receive refreshes quite well as long as I continue to move the mouse on ONE of the displays. Moving the mouse on the OTHER display seems to have no affect on the client. I can't account for the difference.

    • With three displays connected, adding motion to two of the displays allows the client to receive refreshes frequently. Using the VNC client "feels good", if I have the attached GIF of Chun-Li and E. Honda on two of the three displays. Putting the GIF on one display doesn't cut it.

    So it seems like it may be related to detecting changes on the display when more than one display exists?

    I have a similar machine with Windows 7 and the mirror driver installed. It does not have this problem.

     
    Last edit: Chris Hibler 2015-08-13
  • Chris Hibler

    Chris Hibler - 2015-08-20

    I did some digging, it looks like the problem happens because in Win8ScreenDriverImpl::initDxgi, the direct 3D device and other resources are shared with each WinDxgiOutput that is created. Those objects are then used from each of the Win8DeskDuplicationThread threads.

    If I move this bit of code:

    m_log->debug(_T("Creating of D3D11Device"));
    WinD3D11Device d3D11Device(m_log);
    m_log->debug(_T("Quering Interface for IDXGIDevice"));
    WinDxgiDevice dxgiDevice(&d3D11Device);
    m_log->debug(_T("Getting Parent for IDXGIAdapter"));
    WinDxgiAdapter dxgiAdapter(&dxgiDevice);

    From where it's currently located to inside the "for" loop where the WinDxgiOutputs are created, so each has dedicated resources, I don't see the problem. Actually, it performs quite well once I do that.

    If anyone is around that can tell me if that makes sense to do, I would appreciate it :) Seems to work at least.

     
    Last edit: Chris Hibler 2015-08-20
    • Chris Sheets

      Chris Sheets - 2016-01-11

      Can you explain your solution a little better please? We are having this issue at my company as well, and if the solution works, it will fix 500 PC's all with Windows 8.1 and multiple displays.

      Thanks man!

       
  • Anton

    Anton - 2016-02-25
    • status: open --> open-accepted
    • Group: -->
     
  • Chris Sheets

    Chris Sheets - 2016-03-25

    This being looked into at all? So frustrating that such a great product performs so poorly in our environment :(

     
    • Amfab Steel

      Amfab Steel - 2016-03-25

      I'm with you there. Been waiting 2 years for this to be looked into. I think TightVNC is abandoned :(

       

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks